Package: org.gradle.plugins.signing.signatory.pgp

## [Groovy] Class PgpSignatoryProvider

- org.gradle.plugins.signing.signatory.pgp.PgpSignatoryProvider

- All Implemented Interfaces and Traits:
    SignatoryProvider

      class PgpSignatoryProvider
      extends Object

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configure(SigningExtension settings, groovy.lang.Closure closure)`
    `PgpSignatory` | `getDefaultSignatory(Project project)`
    `PgpSignatory` | `getSignatory(String name)`
    `PgpSignatory` | `propertyMissing(String signatoryName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### void configure(SigningExtension settings, groovy.lang.Closure closure)

    - #### PgpSignatory getDefaultSignatory(Project project)

    - #### PgpSignatory getSignatory(String name)

    - #### PgpSignatory propertyMissing(String signatoryName)